# fawaterak-online-payment

integrate with fawaterk online payment

## Installation

```sh
npm install fawaterak-online-payment
```

## Usage

```js
import { getInvoicePaymentTypes } from 'fawaterak-online-payment';

type PATMENT_TYPE = {
  paymentId: number;
  paymentCode: string;
  paymentMethod: string;
  paymentMethodData: PAYMENT_METHOD_DATA;
};

export default function App() {
  const [data, setData] = React.useState<Array<PATMENT_TYPE>>([]);

  React.useEffect(() => {
    // gel all payment type
    getInvoicePaymentTypes('USER_TOKEN_KEY').then((res) => {
      setData(res as PATMENT_TYPE[]);
    });
  }, []);

  return (
    <>
    // your code here...
    </>
  );
}
```
